[DRE-commits] [gitlab] 01/02: move gitlab user's home to /var/lib

Praveen Arimbrathodiyil praveen at moszumanska.debian.org
Thu Feb 18 08:11:52 UTC 2016


This is an automated email from the git hooks/post-receive script.

praveen pushed a commit to branch master
in repository gitlab.

commit acc8e9010537dbc70c244c5e72392213dc83cbe9
Author: Praveen Arimbrathodiyil <praveen at debian.org>
Date:   Thu Feb 18 13:02:28 2016 +0530

    move gitlab user's home to /var/lib
---
 debian/adduser.sh | 15 +++++++++------
 debian/changelog  |  6 ++++++
 debian/control    |  2 +-
 3 files changed, 16 insertions(+), 7 deletions(-)

diff --git a/debian/adduser.sh b/debian/adduser.sh
index ba78daa..44d2fa0 100755
--- a/debian/adduser.sh
+++ b/debian/adduser.sh
@@ -1,11 +1,14 @@
 #!/bin/sh
 
-# add diaspora system user (requires adduser >= 3.34)
+# add gitlab user (requires adduser >= 3.34)
 # don't muck around with this unless you KNOW what you're doing
-user=gitlab
 
-echo "Creating/updating $user user account..."
-adduser --home /usr/share/$user --gecos "$user user" --shell /bin/sh \
-	--quiet --disabled-password $user || {
-echo "Proceeding with existing $user user..."
+# Take gitlab_user from envornment variable or use gitlab
+test -n "${gitlab_user}" || gitlab_user="gitlab"
+
+# Create gitlab user with home in /var/lib
+echo "Creating/updating ${gitlab_user} user account..."
+adduser --home /var/lib/${gitlab_user} --gecos "${gitlab_user} user" --shell /bin/sh \
+	--quiet --disabled-password ${gitlab_user} || {
+echo "Proceeding with existing ${gitlab_user} user..."
   }
diff --git a/debian/changelog b/debian/changelog
index deaba19..0a6ddcb 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+gitlab (8.4.3+dfsg-9) UNRELEASED; urgency=medium
+
+  * Move gitlab user's home directory to /var/lib 
+
+ -- Pirate Praveen <praveen at debian.org>  Thu, 18 Feb 2016 13:02:01 +0530
+
 gitlab (8.4.3+dfsg-8) unstable; urgency=medium
 
   * Install tmpfiles.d/gitlab.conf and allow www-data user to read /run/gitlab
diff --git a/debian/control b/debian/control
index 3678ba6..5cd90a5 100644
--- a/debian/control
+++ b/debian/control
@@ -20,7 +20,7 @@ Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
  rake,
  bundler,
  postgresql-client,
- adduser,
+ adduser (>= 3.34~),
  bc,
  postgresql,
  redis-server (>= 2:2.8~),

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/gitlab.git



More information about the Pkg-ruby-extras-commits mailing list